#ifndef DECODER_GENERIC_H
#define DECODER_GENERIC_H

#include "base.h"

namespace Decoder
{
    class Generic : public Base
    {
        public:
	    Generic() {}
	    Generic(QString filename);
            void decode(SysCallInfo &sysCall);
	    /** Name of system call, empty for invalid decoder */
	    QString name() const;
	protected:
    	    DataType toDatatype(const QString& type) const;
	private:
	
	    QString syscallName;
	    DataType returnType;
	    QList<DataType> paramTypes;
    };
} // namespace Decoder
#endif
