#include "listen.h"
#include "filetracker.h"
#include <cassert>
#include <kdebug.h>

using namespace Decoder;

void Listen::decode(SysCallInfo &sysCall) {
    kDebug() << "Decoding a listen!";
    assert(sysCall.name() == "listen");
    
    int fd=sysCall.parameters()[0].toInt();

    addParameter(File, sysCall, 0);
    addParameter(Text, sysCall, 1);
    addReturnValue(Text, sysCall);
    if (sysCall.returnValue() != "-1") 
	FT->socketListen(sysCall.time(),fd);
}
