# - Try to find the PackageKit executable
# Once done this will define
#
#  PACKAGEKIT_FOUND - system has PackageKit
# Copyright (c) 2008 Wang Kai <fearee@gmail.com>
# Copyright (c) 2008 Pino Toscano <pino@kde.org>

IF(PK_EXECUTABLE)

  SET(PACKAGEKIT_FOUND TRUE)

ELSE(PK_EXECUTABLE)
  FIND_PROGRAM(PK_EXECUTABLE
    NAMES
    packagekitd
  )

  INCLUDE(FindPackageHandleStandardArgs)
  FIND_PACKAGE_HANDLE_STANDARD_ARGS(PackageKit DEFAULT_MSG PK_EXECUTABLE)

  MARK_AS_ADVANCED(PK_EXECUTABLE)

ENDIF(PK_EXECUTABLE)
