/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>
   Copyright (C) 2010 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANAKABEIPACKAGE_H
#define SHAMANAKABEIPACKAGE_H

#include <shamanbackendpackage.h>

namespace Akabei {
    class Package;
}

class AkabeiBackend;

class AkabeiPackage : public Shaman::BackendPackage
{
    public:
        AkabeiPackage(Akabei::Package * pkg, AkabeiBackend* parent);
        virtual ~AkabeiPackage();
        virtual void cacheValue(Shaman::BackendPackage::CachedValue value);
        
    private:
        AkabeiBackend * m_backend;
        Akabei::Package * m_pkg;
};

#endif // AKABEIPACKAGE_H
