/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef AQPMPACKAGE_H
#define AQPMPACKAGE_H

#include "shamanbackendpackage.h"
#include <aqpm/Package.h>

class AqpmPlugin;

class AqpmPackage : public Shaman::BackendPackage
{
public:
    AqpmPackage(Aqpm::Package *package, const State &state, AqpmPlugin* parent);

    protected:
        virtual void cacheValue(CachedValue value);

private:
    Aqpm::Package *m_package;
    AqpmPlugin *m_plugin;

    friend class AqpmPlugin;
};

#endif // AQPMPACKAGE_H
