/* This file is part of the KDE project

   Copyright © 2010 Jonathan Thomas <echidnaman@kubuntu.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef DEBPACKAGE_H
#define DEBPACKAGE_H

#include <LibQApt/Package>

#include <shamanbackendpackage.h>

class AptBackend;

class DebPackage : public Shaman::BackendPackage
{
    public:
        DebPackage(AptBackend* parent, QApt::Package *package);
        virtual ~DebPackage();
        virtual void cacheValue(Shaman::BackendPackage::CachedValue value);

    private:
        QApt::Package *m_package;
        AptBackend *m_shamanBackend;

    friend class AptBackend;
};

#endif // DEBPACKAGE_H
