import BackendInterface
import CreationHandler
from PyQt4.QtCore import *
from PyKDE4.kdecore import *
from PyKDE4.kdeui import *
import sip

class TestPackage:
    def __init__(self):
        print "init called"
        pass

    def setPackageClass(self, pkg):
        print pkg
        print "setPackageClass called" + pkg.name()
        pass

    def cacheValue(self, cachedValue):
        print "cache value"

class TestBackend:
    def __init__(self):
        pass

    def init(self):
        print "initialize testscriptbackend"
        BackendInterface.setAboutData("scriptbackend", "fakebackend", str(i18n("shamanscriptbackend")), "alpha, still", str(i18n("yup shoooort")), 
                                      KAboutData.License_GPL, str(i18n("My Copyright")), str(i18n("ttext")), "bla.com", "bla@bla.de")
        BackendInterface.addAuthor(str(i18n("me")), str(i18n("everything")), "bla@bla.com", "bla.com")
        #self.reload()
        BackendInterface.setState(BackendInterface.Idling);
        self.reload()
        pass

    def reload(self):
        print "reload repositories"
        #repos = BackendInterface.repositories()
        repos = []
        packages = []
        groups = []
        print "how damn"
        #repos.clear()
        repo = CreationHandler.createRepository("yoo", "http://thisistherepourl.com")
        group = CreationHandler.createPackageGroup("group")
        pythonPackage = TestPackage()
        package = CreationHandler.createPackage("blablablub", pythonPackage)
        packages.append(package)
        repo.append(package)
        group.append(package)
        print package.name()
        print "repo name: " + repo.name() + " repo url: " + repo.url() + " package count: " + str(repo.count())
        repos.append(repo)
        groups.append(group)
        BackendInterface.setRepositories(repos)
        BackendInterface.setPackages(packages)
        BackendInterface.setPackageGroups(groups)
        #print "crazy shit"
        #repo.setUrl("yoo.de")
        #repos.append(repo)
        print "doom"
        #BackendInterface.setRepositories(repos)
        print "dada"
        #pass

    def updateRepositories(self):
        pass

    def cancelUpdateDatabase(self):
        pass

    def processQueue(packages, self):
        pass

    def cancelQueueProcessing(self):
        pass

    def transactionQuestionAnswered(self, questionId, answer):
        print "QuestionID: " + str(questionId) + " Answer: " + str(answer)

    def markAdditionalTargetsForQueue(self):
        BackendInterface.setState(BackendInterface.MarkingAdditionalTargets)
        BackendInterface.setState(BackendInterface.Idling);
        pass

backend = TestBackend()

BackendInterface.setBackendClass(backend)
