/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "ScriptGroup.h"

ScriptGroup::ScriptGroup(const QString &name, QObject *parent)
  : Shaman::PackageGroup(name, parent)
{
}

ScriptGroup::~ScriptGroup()
{
}

void ScriptGroup::append(QObject * package)
{
    Shaman::PackageGroup::append(qobject_cast<Shaman::AbstractPackage*>(package));
}

QObject * ScriptGroup::at(int i)
{
    return Shaman::PackageGroup::at(i);
}

int ScriptGroup::indexOf(QObject * package)
{
    return Shaman::PackageGroup::indexOf(qobject_cast<Shaman::AbstractPackage*>(package));
}

void ScriptGroup::insert(int i, QObject * package)
{
    Shaman::PackageGroup::insert(i, qobject_cast<Shaman::AbstractPackage*>(package));
}

int ScriptGroup::count()
{
    return Shaman::PackageGroup::count();
}

int ScriptGroup::removeAll(QObject * package)
{
    return Shaman::PackageGroup::removeAll(qobject_cast<Shaman::AbstractPackage*>(package));
}

void ScriptGroup::removeAt(int i)
{
    Shaman::PackageGroup::removeAt(i);
}
