/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "ScriptRepository.h"

ScriptRepository::ScriptRepository(const QString &name, const KUrl &url, QObject *parent)
  : Shaman::Repository(name, url, parent)
{
}

ScriptRepository::~ScriptRepository()
{
}

void ScriptRepository::append(QObject * package)
{
    Shaman::Repository::append(qobject_cast<Shaman::AbstractPackage*>(package));
}

QObject * ScriptRepository::at(int i)
{
    return Shaman::Repository::at(i);
}

int ScriptRepository::indexOf(QObject * package)
{
    return Shaman::Repository::indexOf(qobject_cast<Shaman::AbstractPackage*>(package));
}

void ScriptRepository::insert(int i, QObject * package)
{
    Shaman::Repository::insert(i, qobject_cast<Shaman::AbstractPackage*>(package));
}

int ScriptRepository::count()
{
    return Shaman::Repository::count();
}

int ScriptRepository::removeAll(QObject * package)
{
    return Shaman::Repository::removeAll(qobject_cast<Shaman::AbstractPackage*>(package));
}

void ScriptRepository::removeAt(int i)
{
    Shaman::Repository::removeAt(i);
}
