/* This file is part of the KDE project

   Copyright (C) 2010 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#include "shamanabstractpluginloader.h"

namespace Shaman {

class AbstractPluginLoader::Private {
    public:
        Private() {}
        ~Private() {}

        QString type;
};

AbstractPluginLoader::AbstractPluginLoader()
        : d(new Private)
{
}

AbstractPluginLoader::~AbstractPluginLoader()
{
    delete d;
}

void AbstractPluginLoader::setPluginType(const QString& type)
{
    d->type = type;
}

QString AbstractPluginLoader::pluginType() const
{
    return d->type;
}

}
