/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANPROVIDER_P_H
#define SHAMANPROVIDER_P_H

#include "shamanprovider.h"

namespace Shaman {

class ProviderPrivate
{
    public:
        ProviderPrivate(ProviderPlugin *p) : plugin(p) {}
        ~ProviderPrivate() {}

        Q_DECLARE_PUBLIC(Provider)
        Provider * q_ptr;

        ProviderPlugin *plugin;
        Backend::State state;
        Provider::Capabilities capabilities;
        AbstractPackage::List packages;
        Repository::List repos;
        PackageGroup::List groups;
};

}

#endif
