/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANPROVIDERPACKAGE_P_H
#define SHAMANPROVIDERPACKAGE_P_H

#include "shamanproviderpackage.h"

#include "shamanabstractpackage_p.h"

namespace Shaman {
class ProviderPlugin;
class ProviderPackagePrivate : public AbstractPackagePrivate
{
    public:
        ProviderPackagePrivate(const QString &n, ProviderPlugin * p)
          : AbstractPackagePrivate(Shaman::AbstractPackage::ProviderPackageType),
            package(0),
            provider(p)
        {
            name = n;
        }
        ~ProviderPackagePrivate() {}

    AbstractPackage * package;
    ProviderPlugin * provider;
};
}

#endif
