/* This file is part of the KDE project

   Copyright (C) 2010 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef GUIPLUGINLOADER_H
#define GUIPLUGINLOADER_H

#include <shamanabstractpluginloader.h>

namespace Shaman {

class GuiPluginLoader : public Shaman::AbstractPluginLoader
{
    public:
        GuiPluginLoader();
        virtual ~GuiPluginLoader();

        virtual Shaman::AbstractPlugin* loadInstance(KService::Ptr offer, QObject* parent);
};

}

#endif // GUIPLUGINLOADER_H
