/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "PackageGroupWrapper.h"

#include <QIcon>

PackageGroupWrapper::PackageGroupWrapper(Shaman::PackageGroup * group, QObject * parent)
  : QObject(parent),
    m_group(group)
{
}

PackageGroupWrapper::~PackageGroupWrapper()
{
}

QString PackageGroupWrapper::name() const
{
    return m_group->name();
}

QIcon PackageGroupWrapper::icon() const
{
    return m_group->icon();
}

QList<QObject*> PackageGroupWrapper::packages()
{
//     QList<QObject*> packages;
//     for (int i = 0; i != m_group->count(); i++) {
//         packages << qobject_cast<QObject*>(m_group->at(i));
//     }
//     return packages;
    return QList<QObject*>();
}

#include "PackageGroupWrapper.moc"
