/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef ERRORQUESTIONHANDLER_H
#define ERRORQUESTIONHANDLER_H

#include <KDialog>
#include <shamantransactionquestion.h>
#include <shamantransactioninterface.h>

class ErrorQuestionHandler : public KDialog
{
    Q_OBJECT
    public:
        ErrorQuestionHandler(QWidget* parent = 0);
        virtual ~ErrorQuestionHandler();

    private slots:
        void newTransactionQuestion(Shaman::TransactionQuestion *question);
        void errorTriggered(Shaman::TransactionInterface::Error, const QString&);
};

#endif // ERRORQUESTIONHANDLER_H
