#include "socket.h"
#include "filetracker.h"
#include <cassert>
#include <kdebug.h>

using namespace Decoder;

void Socket::decode(SysCallInfo &sysCall) {
    kDebug() << "Decoding an socket!";
    assert(sysCall.name() == "socket");
    int fd = sysCall.returnValue().toInt();

    addParameter(Text, sysCall, 0);    
    addParameter(Text, sysCall, 1);    
    addParameter(Text, sysCall, 2);    

    if (fd == -1) addReturnValue(Text, sysCall);
     else {
        FT->socketCreated(sysCall.time(),fd,sysCall.parameters()[0], 
	    sysCall.parameters()[1], sysCall.parameters()[2]);
	addReturnValue(File, sysCall);
    }
}
