#ifndef PAINTER_BASE_H
#define PAINTER_BASE_H

#include <QPainter>
#include <QStyleOptionViewItem>
#include "customitemdelegate.h"

namespace Painter
{
    class Base
    {
        public:
            virtual QRect paint(QHash<QString,QString> attrs, QPainter *painter,
	        const QStyleOptionViewItem &option, QRect r) = 0;
            virtual QString toolTip(QHash<QString,QString> attrs);
            virtual ~Base() {}
    };
} // namespace Painter
#endif
