#include "text.h"
#include "filetracker.h"
#include <cassert>
#include <kdebug.h>

using namespace Painter;

QRect Text::paint(QHash<QString,QString> attrs, QPainter *painter,
        const QStyleOptionViewItem &option, QRect r) {
    assert(attrs["type"] == "text");
    assert(attrs.contains("text"));
    QString text = attrs["text"];
    painter->setPen(QColor(0,0,0));

    QRect bounding;
    painter->drawText(r, Qt::AlignLeft | Qt::AlignVCenter, text, &bounding);
    return bounding;
}
