#ifndef PAINTER_FACTORY_H
#define PAINTER_FACTORY_H

#include <QHash>
#include <QString>
#include "painter/base.h"

class PainterFactory
{
    public:
        static Painter::Base *getPainter(QString tag);

    private:
        static QHash<QString,Painter::Base*> m_painters;
};
#endif
