/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef AQPMLOCALPACKAGE_H
#define AQPMLOCALPACKAGE_H

#include "shamanlocalpackage.h"
#include <aqpm/Package.h>

class AqpmPlugin;
class AqpmLocalPackage : public Shaman::LocalPackage
{
    public:
        AqpmLocalPackage(const KUrl& path, Aqpm::Package *package, AqpmPlugin* parent);
        virtual ~AqpmLocalPackage();

        virtual void cacheValue(Shaman::AbstractPackage::CachedValue value);

private:
    Aqpm::Package *m_package;
    AqpmPlugin *m_plugin;

    friend class AqpmPlugin;
};

#endif // AQPMLOCALPACKAGE_H
