/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef FAKEPACKAGE_H
#define FAKEPACKAGE_H

#include <shamanbackendpackage.h>


class FakePackage : public Shaman::BackendPackage
{
    public:
        FakePackage(const QString& name, Shaman::BackendInterface* parent);
        virtual ~FakePackage();
        virtual void cacheValue(Shaman::BackendPackage::CachedValue value);
};

#endif // FAKEPACKAGE_H
