/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef COREPLUGIN_P
#define COREPLUGIN_P

#include "shamanabstractplugin_p.h"
#include "shamancoreplugin.h"

namespace Shaman {

class CorePluginPrivate : public AbstractPluginPrivate
{
    public:
        CorePluginPrivate() : AbstractPluginPrivate() {}
        virtual ~CorePluginPrivate() {}

        const char *memberForHook(CorePlugin::Hook hook);
        QHash<CorePlugin::Hook, const char*> hooks;
};

}

#endif
