/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANDISTUPGRADE_P_H
#define SHAMANDISTUPGRADE_P_H


#include "shamandistupgrade.h"

namespace Shaman {

class DistUpgradePrivate
{
    public:
        DistUpgradePrivate() {}
        ~DistUpgradePrivate() {}

        DistUpgrade::States availableStates;
        DistUpgrade::State state;

        QHash<DistUpgrade::State, QString> stateNames;
        QHash<DistUpgrade::State, QString> stateIcons;
        QHash<DistUpgrade::State, DistUpgrade::ViewType> stateViews;

        QString description;
        QString name;

        WidgetFactory *details;
        QList<WidgetFactory*> setup;
};

}

#endif
