/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PROVIDERPLUGIN_P
#define PROVIDERPLUGIN_P

#include "shamanproviderplugin.h"
#include "shamanabstractplugin_p.h"

namespace Shaman {

class ProviderPluginPrivate : public AbstractPluginPrivate
{
    public:
        ProviderPluginPrivate() : AbstractPluginPrivate() {}
        virtual ~ProviderPluginPrivate() {}

        Provider *provider;
        QSet<AbstractPackage*> searchCache;
};
}

#endif
