/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "main_reloadexample.h"
#include <KApplication>
#include <KCmdLineArgs>
#include <shamanbase.h>
#include <KDebug>
#include <KAboutData>
#include <shamanabstractpackage.h>
#include <shamanbackendpackage.h>
#include <shamanmetapackage.h>

int main(int argc, char **argv)
{
    KAboutData aboutData("reload_example", 0, ki18n("Shaman"), "1.90.0");

    KCmdLineArgs::init(argc, argv, &aboutData);
    KApplication app;

    ReloadExample example;

    app.exec();
}

ReloadExample::ReloadExample(QObject* parent)
    : QObject(parent)
{
    connect(Shaman::Base::instance(), SIGNAL(initCompleted()), this, SLOT(initCompleted()));
    Shaman::Base::instance()->setPlugins(Shaman::Base::None);
    Shaman::Base::instance()->init(false);
    qDebug() << sizeof(Shaman::AbstractPackage) << sizeof(Shaman::BackendPackage) << sizeof(Shaman::MetaPackage);
}

ReloadExample::~ReloadExample()
{

}

void ReloadExample::initCompleted()
{
    qDebug() << "Init completed";
}

