/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef AURPACKAGE_H
#define AURPACKAGE_H

#include <shamanproviderpackage.h>

class AurPlugin;
class AurPackage : public Shaman::ProviderPackage
{
    public:
        AurPackage(const QString& name, const QString &description, const QString &version,
                   const KUrl &homepage, const QString &license, qint64 id, AurPlugin* provider);
        virtual ~AurPackage();

        virtual void cacheValue(Shaman::AbstractPackage::CachedValue value);

        qint64 id() const;

    private:
        qint64 m_id;
};

#endif // AURPACKAGE_H
