/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef TRANSACTIONLOGGERCONFIG_H
#define TRANSACTIONLOGGERCONFIG_H

#include <shamanpluginconfig.h>

namespace Ui {
    class TransactionLoggerConfig;
}

class TransactionLoggerConfig : public Shaman::PluginConfig
{
    Q_OBJECT
    public:
        TransactionLoggerConfig(QWidget* parent, const QVariantList&);
        virtual ~TransactionLoggerConfig();

        virtual void load();
        virtual void save();

    public slots:
        void sizeValueChanged(int);

    private:
        Ui::TransactionLoggerConfig *m_ui;
};

#endif // TRANSACTIONLOGGERCONFIG_H
