/* This file is part of the KDE project

   Copyright (C) 2008 Wang Kai <fearee@gmail.com>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PACKAGEDETAILPLUGIN_H
#define PACKAGEDETAILPLUGIN_H

#include <shamanguiplugin.h>

#include <QVariantList>

class PackageDetailDockWidget;
class PackageDetailWidget;

class PackageDetailPlugin : public Shaman::GuiPlugin
{
    Q_OBJECT
    public:
        PackageDetailPlugin(QObject *parent, const QVariantList&);
        ~PackageDetailPlugin();

        void init();

    private slots:

    private:
        PackageDetailDockWidget * m_dockWidget;
};

#endif
