/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PROVIDERUIPLUGIN_H
#define PROVIDERUIPLUGIN_H

#include <shamanguiplugin.h>

#include <QVariantList>

class ProviderUiDialog;

class ProviderUiPlugin : public Shaman::GuiPlugin
{
    Q_OBJECT
    public:
        ProviderUiPlugin(QObject *parent, const QVariantList&);
        ~ProviderUiPlugin();
        
        void init();
        
    private slots:
        void showDialog();
        
    private:
        QPointer<ProviderUiDialog> m_dialog;
};

#endif
