import Gui, Core
from PyQt4 import QtCore, QtGui, QtWebKit
import sip
import StringIO, string
import os

RssURL = "http://www.archlinux.org/feeds/packages/"

def guiInit():
    _d = Gui.createDockWidget()
    docker = sip.wrapinstance(_d.__toPointer__(), QtGui.QDockWidget)
    docker.setObjectName("rssReader")
    docker.setWindowTitle("Rss Reader")
    docker.setAllowedAreas(QtCore.Qt.RightDockWidgetArea)
    o = StringIO.StringIO()
    sys.stdout = o;
    try:
        import feedparser, feed2html
    except:
        label = QtGui.QLabel("Please install python-feedparser")
        docker.setWidget(label)
        return
    feed2html.run_template(RssURL)
    webview = QtWebKit.QWebView()
    webview.setHtml(o.getvalue());
    docker.setWidget(webview)
