/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef TESTHOOKSPLUGIN_H
#define TESTHOOKSPLUGIN_H

#include <shamancoreplugin.h>
#include <shamanabstractpackage.h>
#include <shamanrepository.h>

class TestHooksPlugin : public Shaman::CorePlugin
{
    Q_OBJECT
    public:
        TestHooksPlugin(QObject* parent, const QVariantList&);
        virtual ~TestHooksPlugin();

        virtual void init();

    public slots:
        void preUpdate(const Shaman::Repository::List &repositories);
        void postUpdate(const Shaman::Repository::List &repositories);
        void preTransaction(const Shaman::AbstractPackage::List &packages);
        void postTransaction(const Shaman::AbstractPackage::List &packages);
};

#endif // TESTHOOKSPLUGIN_H
