/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANGENERALKCM_H
#define SHAMANGENERALKCM_H

#include <KCModule>

class QCheckBox;
class KPluginSelector;
class ShamanGeneralKCM : public KCModule
{
    public:
        explicit ShamanGeneralKCM(QWidget* parent = 0, const QVariantList& args = QVariantList());
        virtual ~ShamanGeneralKCM();

        virtual void load();
        virtual void save();
        virtual void defaults();

    private:
        KPluginSelector *m_selector;
        QCheckBox *m_saveQueue;
};

#endif // SHAMANGENERALKCM_H
