/* This file is part of the KDE project

   Copyright (C) 2010 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "BackendWrapper.h"

#include "shamanbase.h"
#include "shamanmetapackage.h"
#include "shamancoreinterface.h"

BackendWrapper::BackendWrapper(QObject * parent)
  : QObject(parent)
{
}

BackendWrapper::~BackendWrapper()
{
}

QStringList BackendWrapper::packageNames() const
{
    QStringList pkgs;
    foreach (Shaman::MetaPackage * pkg, Shaman::Base::instance()->core()->metaPackages())
        pkgs << pkg->rootPackage()->name();
    return pkgs;
}
