/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PROCESSVIEW_H
#define PROCESSVIEW_H

#include <KTextBrowser>

#include <shamantransactioninterface.h>

using namespace Shaman;

class ProcessView : public KTextBrowser
{
    Q_OBJECT
    public:
        ProcessView(QWidget * parent = 0);
        ~ProcessView();

    private slots:
        void newMessage(const QString &message, Shaman::TransactionInterface::MessageLevel level);
};

#endif
