/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef UPDATEDATABASEHANDLER_H
#define UPDATEDATABASEHANDLER_H

#include <QObject>
#include <QTime>

#include <shamanrepository.h>

using namespace Shaman;

class UpdateDatabaseDialog;
class StatusBarInterface;

class UpdateDatabaseHandler : public QObject
{
    Q_OBJECT
    public:
        UpdateDatabaseHandler(QObject * parent);
        ~UpdateDatabaseHandler();

    public slots:
        void updateRepositories();

    private slots:
        void repositoryStateChanged(Repository::State state);
};

#endif
